# Name prefixes

Rooms created using the API get a unique name/URL based on your Whereby domain and a randomly generated ID.

Example URL:

`https://mydomain.whereby.com/8d9c4219-483e-44fe-c826-c70ce1439018`

If for some reason you need to attach your own identifier to the room URL, you can do so by using the `roomNamePrefix` parameter in the body of the POST request to include a string which will then be used as a room name prefix.

The string can be up to 39 characters long, and can contain alphanumerical characters.

{% hint style="info" %}
Note that any upper-case letters in the roomNamePrefix will be transformed to lower-case, and any whitespace will be stripped away.
{% endhint %}

Example request body:

```json
{
    "roomNamePrefix": "Customer0348-",
    "endDate": "2099-03-25T13:30:00.000Z",
    "fields": []
}
```

Response:

```json
{
    "startDate": "2022-03-11T13:56:20.593Z",
    "endDate": "2099-03-25T13:30:00.000Z"",
    "roomUrl": "https://mydomain.whereby.com/customer0348-72b919c2-17dc-4007-ac7b-56f38b8e29ba",
    "meetingId": "52755922"
}
```

### Searching insights for rooms with a prefix

After you've applied `roomNamePrefix` to your URLs, you can then use our [API](/reference/whereby-rest-api-reference.md) to search for rooms containing that prefix.

Example GET request URL:

```
https://api.whereby.dev/v1/meetings?roomName[startsWith]=/customer
```

Response

```json

{
    "startDate": "2024-02-08T16:57:01.017Z",
    "endDate": "2024-02-10T05:00:00.000Z",
    "roomName": "/customer123-172aa26e-802a-41a6-ba1f-142792c4f42",
    "roomUrl": "https://nickrolls.whereby.com/customer123-172aa26e-802a-41a6-ba1f-142792c4f42",
    "meetingId": "82490894"
},
{
    "startDate": "2024-02-08T16:57:18.847Z",
    "endDate": "2024-02-10T05:00:00.000Z",
    "roomName": "/customer456-b621d167-2cb1-4bb8-8aa4-46f8a58f0069",
    "roomUrl": "https://nickrolls.whereby.com/customer456-b621d167-2cb1-4bb8-8aa4-46f8a58f0069",
    "meetingId": "82490920"
}
```

Read more about [creating rooms using the API](/whereby-product-features/using-the-rest-api.md), and refer to our [API reference](/reference/whereby-rest-api-reference.md) for further details.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whereby.com/whereby-product-features/using-the-rest-api/name-prefixes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
